=== test/Makefile ===
# Just a little hook script to easy building when in this directory

all:
	$(MAKE) -C ..

clean:
	$(MAKE) -C .. clean
