## systemd 37

=== debian/changelog ===
systemd (37-1) unstable; urgency=low

  [ Tollef Fog Heen ]
  * New upstream version
  * Change the type of the debian-fixup service to oneshot.
    Closes: #642961
  * Add ConditionPathIsDirectory to lib-init-rw.automount and
    lib-init-rw.mount so we only activate the unit if the directory
    exists.  Closes: #633059
  * If a sysv service exists in both rcS and rcN.d runlevels, drop the
    rcN.d ones to avoid loops.  Closes: #637037
  * Blacklist fuse init script, we do the same work already internally.
    Closes: #643700
  * Update README.Debian slightly for /run rather than /lib/init/rw

  [ Josh Triplett ]
  * Do a one-time migration of the $TMPTIME setting from /etc/default/rcS to
    /etc/tmpfiles.d/tmp.conf. If /etc/default/rcS has a TMPTIME setting of
    "infinite" or equivalent, migrate it to an /etc/tmpfiles.d/tmp.conf that
    overrides the default /usr/lib/tmpfiles.d/tmp.conf and avoids clearing
    /tmp.  Closes: #643698

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 28 Sep 2011 20:04:13 +0200

systemd (36-1) unstable; urgency=low

  [ Tollef Fog Heen ]
  * New upstream release. Closes: #634618
    - Various man page fixes. Closes: #623521
  * Add debian-fixup service that symlinks mtab to /proc/mounts and
    migrates /var/run and /var/lock to symlinks to /run

  [ Michael Biebl ]
  * Build for libnotify 0.7.
  * Bump Build-Depends on libudev to (>= 172).
  * Add Build-Depends on libacl1-dev. Required for building systemd-logind
    with ACL support.
  * Split libsystemd-login and libsystemd-daemon into separate binary
    packages.
  * As autoreconf doesn't like intltool, override dh_autoreconf and call
    intltoolize and autoreconf ourselves.
  * Add Build-Depends on intltool.
  * Do a one-time migration of the hwclock configuration. If UTC is set to
    "no" in /etc/default/rcS, create /etc/adjtime and add the "LOCAL" setting.
  * Remove /cgroup cleanup code from postinst.
  * Add Build-Depends on gperf.

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 14 Sep 2011 08:25:17 +0200

systemd (29-1) unstable; urgency=low

  [ Tollef Fog Heen ]
  * New upstream version, Closes: #630510
    - Includes typo fixes in documentation.  Closes: #623520
  * Fall back to the init script reload function if a native .service file
    doesn't know how to reload.  Closes: #628186
  * Add hard dependency on udev.  Closes: #627921

  [ Michael Biebl ]
  * hwclock-load.service is no longer installed, so we don't need to remove it
    anymore in debian/rules.
  * Install /usr/lib directory for binfmt.d, modules-load.d, tmpfiles.d and
    sysctl.d.
  * Remove obsolete conffiles from /etc/tmpfiles.d on upgrades. Those files
    are installed in /usr/lib/tmpfiles.d now.
  * Depend on util-linux (>= 2.19.1-2) which provides whole-disk locking
    support in fsck and remove our revert patch.
  * Don't choke when systemd was compiled with a different CAP_LAST_CAP then
    what it is run with. Patch cherry-picked from upstream Git.
    Closes: #628081
  * Enable dev-hugepages.automount and dev-mqueue.automount only when enabled
    in kernel. Patch cherry-picked from upstream Git.  Closes: #624522

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 08 Jun 2011 16:14:31 +0200

systemd (25-2) experimental; urgency=low

  * Handle downgrades more gracefully by removing diversion of
    /lib/lsb/init-functions on downgrades to << 25-1.
  * Cherry-pick a133bf10d09f788079b82f63faa7058a27ba310b from upstream,
    avoids assert when dumping properties.  Closes: #624094
  * Remove "local" in non-function context in init-functions wrapper.

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 27 Apr 2011 22:20:04 +0200

systemd (25-1) experimental; urgency=low

  * New upstream release, target experimental due to initscripts
    dependency.
    - Fixes where to look for locale config.  Closes: #619166
  * Depend on initscripts >= 2.88dsf-13.4 for /run transition.
  * Add Conflicts on klogd, since it doesn't work correctly with the
    kmg→/dev/log bridge.  Closes: #622555
  * Add suggests on Python for systemd-analyze.
  * Divert /lib/lsb/init-functions instead of (ab)using
    /etc/lsb-base-logging.sh for diverting calls to /etc/init.d/*
  * Remove obsolete conffile /etc/lsb-base-logging.sh.  Closes: #619093
  * Backport 3a90ae048233021833ae828c1fc6bf0eeab46197 from master:
    mkdir /run/systemd/system when starting up

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 24 Apr 2011 09:02:04 +0200

systemd (20-1) unstable; urgency=low

  * New upstream version
  * Install systemd-machine-id-setup
  * Call systemd-machine-id-setup in postinst
  * Cherry-pick b8a021c9e276adc9bed5ebfa39c3cab0077113c6 from upstream to
    prevent dbus assert error.
  * Enable TCP wrapper support.  Closes: #618409
  * Enable SELinux support.  Closes: #618412
  * Make getty start after Apache2 and OpenVPN (which are the only two
    known users of X-Interactive: yes).  Closes: #618419

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 11 Mar 2011 19:14:21 +0100

systemd (19-1) experimental; urgency=low

  * New upstream release
  * Add systemd-tmpfiles to systemd package.
  * Add ifup@.service for handling hotplugged interfaces from
    udev.  Closes: #610871
  * Mask mtab.service and udev-mtab.service as they are pointless when
    /etc/mtab is a symlink to /proc/mounts
  * Add breaks on lvm2 (<< 2.02.84-1) since older versions have udev rules
    that don't work well with systemd causing delays on bootup.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 17 Feb 2011 07:36:22 +0100

systemd (17-1) experimental; urgency=low

  [ Tollef Fog Heen ]
  * New upstream release
  * Clarify ifupdown instructions in README.Debian somewhat.
    Closes: #613320
  * Silently skip masked services in lsb-base-logging.sh instead of
    failing.  Initial implementation by Michael Biebl.  Closes: #612551
  * Disable systemd-vconsole-setup.service for now.

  [ Michael Biebl ]
  * Bump build dependency on valac-0.10 to (>= 0.10.3).

