=== debian/control ===
Source: systemd
Section: admin
Priority: extra
Maintainer: Tollef Fog Heen <tfheen@debian.org>
Standards-Version: 3.9.1
Vcs-Git: git://git.err.no/systemd/
Vcs-Browser: http://git.err.no/cgi-bin/gitweb.cgi?p=systemd;a=summary
Homepage: http://www.freedesktop.org/wiki/Software/systemd
Build-Depends: debhelper (>= 7.0.50),
               libcap-dev,
               pkg-config,
               libudev-dev (>= 172),
               libdbus-1-dev (>= 1.3.2~),
               libdbus-glib-1-dev,
               libgtk2.0-dev,
               valac-0.12 (>= 0.12),
               xsltproc,
               docbook-xsl,
               docbook-xml,
               m4,
               libpam0g-dev,
               libnotify-dev (>= 0.7.0),
               libaudit-dev,
               dh-autoreconf,
               intltool,
               libcryptsetup-dev (>= 2:1.2.0),
               libwrap0-dev,
               libselinux1-dev,
               libacl1-dev,
               gperf

Package: systemd
Architecture: linux-any
Section: admin
Priority: extra
Recommends: libpam-systemd
Suggests: systemd-gui, python
Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>= 2.19.1-2), initscripts (>= 2.88dsf-13.3), udev
Breaks: lvm2 (<< 2.02.84-1)
Conflicts: klogd
Description: system and service manager
 systemd is a replacement for sysvinit.  It is dependency-based and
 able to read the LSB init script headers in addition to parsing rcN.d
 links as hints.
 .
 It also provides process supervision using cgroups and the ability to
 not only depend on other init script being started, but also
 availability of a given mount point or dbus service.

Package: systemd-sysv
Architecture: linux-any
Section: admin
Priority: extra
Conflicts: sysvinit, upstart, runit-run
Replaces: sysvinit
Depends: systemd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: system and service manager - SysV links
 systemd is a replacement for sysvinit.  It is dependency-based and
 able to read the LSB init script headers in addition to parsing rcN.d
 links as hints.
 .
 It also provides process supervision using cgroups and the ability to
 not only depend on other init script being started, but also
 availability of a given mount point or dbus service.
 .
 This package provides the manual pages and links needed for systemd
 to replace sysvinit.

Package: libpam-systemd
Architecture: linux-any
Section: admin
Priority: extra
Depends: systemd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: system and service manager - PAM module
 systemd is a replacement for sysvinit.  It is dependency-based and
 able to read the LSB init script headers in addition to parsing rcN.d
 links as hints.
 .
 It also provides process supervision using cgroups and the ability to
 not only depend on other init script being started, but also
 availability of a given mount point or dbus service.
 .
 This package contains the PAM module which registers user sessions in
 the systemd control group hierarchy

Package: systemd-gui
Architecture: linux-any
Section: admin
Priority: extra
Depends: systemd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: system and service manager - GUI
 systemd is a replacement for sysvinit.  It is dependency-based and
 able to read the LSB init script headers in addition to parsing rcN.d
 links as hints.
 .
 It also provides process supervision using cgroups and the ability to
 not only depend on other init script being started, but also
 availability of a given mount point or dbus service.
 .
 This package contains the graphical frontend for systemd.

Package: libsystemd-login0
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: systemd login utility library
 The libsystemd-login library provides an interface for the
 systemd-logind service which is used to track user sessions and seats.

Package: libsystemd-login-dev
Architecture: linux-any
Section: libdevel
Depends: libsystemd-login0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: systemd login utility library - development files
 The libsystemd-login library provides an interface for the
 systemd-logind service which is used to track user sessions and seats.
 .
 This package contains the development files

Package: libsystemd-daemon0
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: systemd utility library
 The sd-daemon library provides a reference implementation of various
 APIs for new-style daemons, as implemented by the systemd init system.

Package: libsystemd-daemon-dev
Architecture: linux-any
Section: libdevel
Depends: libsystemd-daemon0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: systemd utility library - development files
 The sd-daemon library provides a reference implementation of various
 APIs for new-style daemons, as implemented by the systemd init system.
 .
 This package contains the development files
