## systemd 44

=== debian/changelog ===
systemd (44-10ubuntu1) raring; urgency=low
  
  * Split logind into its own binary package, for use on non-systemd systems.
  * Drop the systemd binary package from the build.
  * Drop the systemd-gui package, not usable without systemd.
  * Have logind declare a Replaces: on systemd for the moved files, even
    though we're not shipping the systemd binary package in Ubuntu.
  * libpam-systemd should depend on logind, not on systemd.
  * Enable pam_systemd use on non-systemd systems.
  * cherry-pick from upstream to fix build with eglibc 2.17.
  * export V=1 so we get meaningful build logs.
  * Don't build systemd-sysv package on Ubuntu.
  * Split hostname, locale, and timedate services into a new binary package,
    systemd-services.
  * Fix up dbus service definitions to work when not started by systemd.
  * Adjust localed to use the Debian locations of /etc/default/locale and
    /etc/default/keyboard for locale data, not /etc/locale.conf and
    /etc/X11/xorg.conf.d/00-keyboard.conf.
  * Ditch the use of faketime; it's in universe, and all it does in Ubuntu
    is segfault.  This may reduce the multiarch-friendliness of the library
    packages, but that's not actually needed here since nothing except logind
    is using those libraries anyway.
  * Move dbus services from /lib/systemd to /usr/lib/systemd.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 Feb 2013 09:07:46 +0000

systemd (44-10) unstable; urgency=low

  * Team upload.
  * Using the return code of "systemctl is-enabled" to determine whether we
    enable a service or not is unreliable since it also returns a non-zero
    exit code for masked services. As we don't want to enable masked services,
    grep for the string "disabled" instead.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Feb 2013 17:01:24 +0100

systemd (44-9) unstable; urgency=low

  * Team upload.
  * Fix typo in systemd.socket man page.  Closes: #700038
  * Use color specification in "systemctl dot" which is actually
    understood by dot.  Closes: #643689
  * Fix mounting of remote filesystems like NFS.  Closes: #673309
  * Use a file trigger to automatically enable service and socket units. A lot
    of packages simply install systemd units but do not enable them. As a
    result they will be inactive after the next boot. This is a workaround for
    wheezy which will be removed again in jessie.  Closes: #692150

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Feb 2013 13:35:39 +0100

systemd (44-8) unstable; urgency=low

  * Team upload.
  * Use comment=systemd.* syntax in systemd.mount man page. The
    mount/util-linux version in wheezy is not recent enough to support the new
    x-systemd* syntax. Closes: #697141
  * Don't enable persistent storage of journal log files. The journal in v44
    is not yet mature enough.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Jan 2013 20:05:05 +0100

systemd (44-7) unstable; urgency=low

  * Fix a regression in the init-functions hook wrt reload handling that was
    introduced when dropping the X-Interactive hack.  Closes: #696355

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Dec 2012 00:00:12 +0100

systemd (44-6) unstable; urgency=low

  [ Michael Biebl ]
  * No longer ship the /sys directory in the systemd package since it is
    provided by base-files nowadays.
  * Don't run udev rules if systemd is not active.
  * Converting /var/run, /var/lock and /etc/mtab to symlinks is a one-time
    migration so don't run the debian-fixup script on every boot.

  [ Tollef Fog Heen ]
  * Prevent the systemd package from being removed if it's the active init
    system, since that doesn't work.

  [ Michael Biebl ]
  * Use a separate tmpfs for /run/lock (size 5M) and /run/user (size 100M).
    Those directories are user-writable which could lead to DoS by filling up
    /run.  Closes: #635131

 -- Michael Biebl <biebl@debian.org>  Sun, 16 Dec 2012 21:58:37 +0100

systemd (44-5) unstable; urgency=low

  * Team upload.

  [ Tollef Fog Heen ]
  * disable killing on entering START_PRE, START, thanks to Michael
    Stapelberg for patch.  This avoids killing VMs run through libvirt
    when restarting libvirtd.  Closes: #688635.
  * Avoid reloading services when shutting down, since that won't work and
    makes no sense.  Thanks to Michael Stapelberg for the patch.
    Closes: #635777.
  * Try to determine which init scripts support the reload action
    heuristically.  Closes: #686115, #650382.

  [ Michael Biebl ]
  * Update Vcs-* fields, the Git repository is hosted on alioth now. Set the
    default branch to "debian".
  * Avoid reload and (re)start requests during early boot which can lead to
    deadlocks.  Closes: #624599
  * Make systemd-cgroup work even if not all cgroup mounts are available on
    startup.  Closes: #690916
  * Fix typos in the systemd.path and systemd.unit man page.  Closes: #668344
  * Add watch file to track new upstream releases.

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Oct 2012 21:41:23 +0200

systemd (44-4) unstable; urgency=low

  [ Michael Biebl ]
  * Override timestamp for man page building, thereby avoiding skew
    between architectures which caused problems for multi-arch.
    Closes: #680011

  [ Tollef Fog Heen ]
  * Move diversion removal from postinst to preinst.  Closes: #679728
  * Prevent the journal from crashing when running out of disk space.
    This is 499fb21 from upstream.  Closes: #668047.
  * Stop mounting a tmpfs on /media.  Closes: #665943

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 01 Jul 2012 08:17:50 +0200

systemd (44-3) unstable; urgency=low

  [ Michael Biebl ]
  * Bump to debhelper 9.
  * Convert to Multi-Arch: same where possible.  Closes: #676615

  [ Tollef Fog Heen ]
  * Cherry-pick d384c7 from upstream to stop journald from leaking
    memory.  Thanks to Andreas Henriksson for testing.  Closes: #677701
  * Ship lsb init script override/integration in /lib/lsb/init-functions.d

