=== debian/control ===
Source: systemd
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tollef Fog Heen <tfheen@debian.org>
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/pkg-systemd/systemd.git -b debian
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-systemd/systemd.git;a=summary
Homepage: http://www.freedesktop.org/wiki/Software/systemd
Build-Depends: debhelper (>= 9),
               libcap-dev,
               pkg-config,
               libudev-dev (>= 172),
               libdbus-1-dev (>= 1.3.2~),
               libdbus-glib-1-dev,
               libgtk2.0-dev,
               valac (>= 0.12),
               xsltproc,
               docbook-xsl,
               docbook-xml,
               m4,
               libpam0g-dev,
               libnotify-dev (>= 0.7.0),
               libaudit-dev,
               dh-autoreconf,
               automake (>= 1.11),
               autoconf (>= 2.63),
               intltool,
               libcryptsetup-dev (>= 2:1.2.0),
               libwrap0-dev,
               libselinux1-dev,
               libacl1-dev,
               liblzma-dev,
               libgee-dev,
               gperf,
               libkmod-dev (>= 5)

Package: libpam-systemd
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: logind (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: system and service manager - PAM module
 systemd is a replacement for sysvinit.  It is dependency-based and
 able to read the LSB init script headers in addition to parsing rcN.d
 links as hints.
 .
 It also provides process supervision using cgroups and the ability to
 not only depend on other init script being started, but also
 availability of a given mount point or dbus service.
 .
 This package contains the PAM module which registers user sessions in
 the systemd control group hierarchy

Package: logind
Architecture: linux-any
Section: admin
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, dbus
Replaces: systemd
Description: systemd login manager
 This package contains a login manager for managing mapping of devices and
 seats for logged in users.

Package: libsystemd-login0
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: systemd login utility library
 The libsystemd-login library provides an interface for the
 systemd-logind service which is used to track user sessions and seats.

Package: libsystemd-login-dev
Architecture: linux-any
Section: libdevel
Depends: libsystemd-login0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: systemd login utility library - development files
 The libsystemd-login library provides an interface for the
 systemd-logind service which is used to track user sessions and seats.
 .
 This package contains the development files

Package: libsystemd-daemon0
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: systemd utility library
 The sd-daemon library provides a reference implementation of various
 APIs for new-style daemons, as implemented by the systemd init system.

Package: libsystemd-daemon-dev
Architecture: linux-any
Section: libdevel
Depends: libsystemd-daemon0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: systemd utility library - development files
 The sd-daemon library provides a reference implementation of various
 APIs for new-style daemons, as implemented by the systemd init system.
 .
 This package contains the development files

Package: libsystemd-journal0
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: systemd journal utility library
 The libsystemd-journal library provides an interface for the
 systemd journal service.

Package: libsystemd-journal-dev
Architecture: linux-any
Section: libdevel
Depends: libsystemd-journal0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libsystemd-id128-dev
Description: systemd journal utility library - development files
 The libsystemd-journal library provides an interface for the
 systemd journal service.
 .
 This package contains the development files

Package: libsystemd-id128-0
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: systemd 128 bit ID utility library
 The libsystemd-id128 library provides utility functions for generating
 128 bit IDs.

Package: libsystemd-id128-dev
Architecture: linux-any
Section: libdevel
Depends: libsystemd-id128-0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: systemd 128 bit ID utility library - development files
 The libsystemd-id128 library provides utility functions for generating
 128 bit IDs.
 .
 This package contains the development files

Package: systemd-services
Architecture: linux-any
Section: admin
Priority: extra
Replaces: systemd, ubuntu-system-service
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: systemd runtime services
 This package contains the locale and hostname runtime services from
 systemd, providing dbus interfaces for updating system locale settings
 and the hostname.
