## systemd 198

=== debian/changelog ===
systemd (198-0ubuntu3) raring; urgency=low

  * Add 0018-Add-env-variable-for-machine-ID-path.patch: During package build,
    in minimal chroots, or other systems which do not already have an
    /etc/machine-id we get six test failures. Introduce a
    $SYSTEMD_MACHINE_ID_PATH environment variable which can specify a location
    other than /etc/machine-id, so that the unit tests are independent from
    the environment.
  * debian/rules: Re-enable unit tests. Don't run them under fakeroot as that
    hangs some tests, and supply a local machine id file.
  * Add autopkgtests for hostnamed, localed, and timedated.
  * 0010-Add-back-support-for-Debian-specific-config-files.patch: Update patch
    for localed to use /etc/default/locale instead of /etc/locale.conf.
  * Rename udev-gtk-udeb to libudev1-udeb, and build it for Ubuntu.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 15 Mar 2013 11:37:45 +0100

systemd (198-0ubuntu2) raring; urgency=low

  * libgudev-1.0-dev: Don't depend on exact binary version of
    gir1.2-gudev-1.0, as libgudev-* have an epoch.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 13:45:13 +0100

systemd (198-0ubuntu1) raring; urgency=low

  FFE for new version and libudev1 soname bump: LP #1153224

  [ Michael Biebl ]
  * New upstream release with merged udev+systemd code bases.

  [ Martin Pitt ]
  * Split off new systemd-services binary package with logind, timedated,
    hostnamed, and localed. These can be used without the systemd init parts.
  * Add fallback to poweroff/reboot/pm-suspend/pm-hibernate if logind is
    running without systemd.
  * Clean up empty sessions when not running under systemd.
  * Add upstart job for logind.
  * Add Conflicts/Replaces/Provides for libpam-xdg-support and logind.
  * Disable udev and systemd packages for Ubuntu. udev (and its udebs) will be
    re-enabled once we apply our customizations from the standalone package,
    and the packages are confirmed to work. For systemd{,-sysv}, we need to
    decide whether or not we want these in universe.
  * Add epoch to libgudev packages for Ubuntu, as we had in udev.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 10:46:40 +0100
