=== debian/tests/control ===
Tests: timedated hostnamed localed
Depends: systemd-services
Restrictions: needs-root
